package com.ajou.procoding.myweb.controller;

import java.io.IOException;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.client.RestTemplate;

import com.ajou.procoding.myweb.dto.MusicList;
import com.fasterxml.jackson.databind.ObjectMapper;

@RestController

public class MyWebController {

    @GetMapping(value="/musicSearch/{term}")
    public String musicSearchByPath(@PathVariable String term) {
        return "";
    }


    @GetMapping(value="/musicSearch")
    public MusicList musicSearchByParam(@RequestParam String term) { RestTemplate restTemplate = new RestTemplate();
        String url = String.format("https://itunes.apple.com/search?term=%s&entity=album", term);
        try {
            String response = restTemplate.getForObject(url, String.class);
            ObjectMapper mapper = new ObjectMapper();
            MusicList list = mapper.readValue(response, MusicList.class);
            System.out.println(list.getResultCount());
            return list; // 일단 문자열로 반환
        } catch (IOException e) {
            System.out.println(e.toString());
            return null;
        }}


}
